;==============================================================
; WLA-DX banking setup
;==============================================================
.memorymap
defaultslot 0
slotsize $8000
slot 0 $0000
.endme

.rombankmap
bankstotal 1
banksize $8000
banks 1
.endro

;==============================================================
; SDSC tag and SMS rom header
;==============================================================
.sdsctag 0.1,"Pucrunch unpacker test 2","","Maxim"

.bank 0 slot 0
.org $0000

;==============================================================
; RAM
;==============================================================
.enum $c000
DecompressedCode: db
.ende

;==============================================================
; Boot section
;==============================================================
.org $0000
.section "Bootstrap loader" force
  di        ; disable interrupts
  im 1      ; Interrupt mode 1

  ; Put Pucrunch variables above the stack
  ; Decompressed code will re-set sp anyway
.define PucrunchVars $dff0-44
  ld sp,PucrunchVars-1

  ; Decompress and run
  ld hl,CompressedCode
  ld de,DecompressedCode
  call Uncrunch
  jp DecompressedCode
.ends

;==============================================================
; Pause button handler
;==============================================================
.org $0066
.section "Pause button handler" force
  ; Do nothing
  retn
.ends

.include "..\uncrunch-z80.asm"

;==============================================================
; Data
;==============================================================
.section "Data" FREE
  CompressedCode:
  .incbin "test-wholefile-code.compr.bin"


.ends

